Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.WindowModality

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.WindowModality

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.WindowModality

extends java.lang.Enum
implements QtEnumerator

This enum specifies the behavior of a modal window. A modal window is one that blocks input to other windows. Note that windows that are children of a modal window are not blocked.

The values are:

See also:
  `QWidget::windowModality`, and `QDialog`.

See Also:
  Serialized Form

Field Summary
`static Qt.WindowModality` | `ApplicationModal` The window is modal to the application and blocks input to all windows.
`static Qt.WindowModality` | `NonModal` The window is not modal and does not block input to other windows.
`static Qt.WindowModality` | `WindowModal`

Method Summary
`static Qt.WindowModality` | `resolve(int value)` Returns the WindowModality constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.WindowModality` | `valueOf(java.lang.String name)`
`static Qt.WindowModality[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NonModal

    public static final Qt.WindowModality NonModal

  The window is not modal and does not block input to other windows.

### WindowModal

    public static final Qt.WindowModality WindowModal

### ApplicationModal

    public static final Qt.WindowModality ApplicationModal

  The window is modal to the application and blocks input to all windows.

Method Detail

### values

    public static Qt.WindowModality[] values()

### valueOf

    public static Qt.WindowModality valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.WindowModality resolve(int value)

  Returns the WindowModality constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD